Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.opstatus
Class QueryOperationalStatusMonitorValueImpl

    java.lang.Object
      com.sun.management.oss.impl.AttributeAccessImpl
          com.sun.management.oss.impl.QueryValueImpl
              com.sun.management.oss.impl.pm.opstatus.PmQueryValueImpl
                  com.sun.management.oss.impl.pm.opstatus.QueryOperationalStatusMonitorValueImpl

All Implemented Interfaces:
  AttributeAccess, java.lang.Cloneable, QueryOperationalStatusMonitorValue, QueryValue, java.io.Serializable, SerializerFactory

Direct Known Subclasses:
  QueryByDNValueImpl

public class QueryOperationalStatusMonitorValueImpl
extends PmQueryValueImpl
implements QueryOperationalStatusMonitorValue

Title: JSR090 Reference Implementation Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson

Version:
  0.2
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi, Hooman Tahamtani, Katarina Wahlstrr?m
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sun.management.oss.pm.opstatus.QueryOperationalStatusMonitorValue
`GRANULARITY_PERIOD, NAME, QUERY_TYPE, STATE, VALUE_TYPE`

Constructor Summary
`QueryOperationalStatusMonitorValueImpl()`

Method Summary
`int` | `getGranularityPeriod()` Gets the query value of the measurement job granularity period.
`java.lang.String` | `getName()` Returns the query value of the measurement job name.
`int` | `getState()` Gets the query value of the measurement job state.
`java.lang.String` | `getValueType()` Gets the query value of the measurement job value type.
`void` | `setGranularityPeriod(int granularityPeriod)` Sets the query value of the measurement job granularity period.
`void` | `setName(java.lang.String measurementName)` Sets the query value of the measurement job name.
`void` | `setState(int state)` Sets the query value of the measurement job state.
`void` | `setValueType(java.lang.String performanceMonitorValueType)` Sets the query value of the measurement job value type.

Methods inherited from class com.sun.management.oss.impl.pm.opstatus.PmQueryValueImpl
`getSupportedSerializerTypes, makeSerializer`

Methods inherited from class com.sun.management.oss.impl.AttributeAccessImpl
`clone, getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.management.oss.QueryValue
`clone`

Methods inherited from interface com.sun.management.oss.AttributeAccess
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Constructor Detail

### QueryOperationalStatusMonitorValueImpl

    public QueryOperationalStatusMonitorValueImpl()

Method Detail

### getGranularityPeriod

    public int getGranularityPeriod()
                             throws java.lang.IllegalStateException

  Description copied from interface: `QueryOperationalStatusMonitorValue`
  Gets the query value of the measurement job granularity period.

  Specified by:
    `getGranularityPeriod` in interface `QueryOperationalStatusMonitorValue`
  Returns:
    int The granularity period in seconds.
  Throws:
    `java.lang.IllegalStateException` - Is raised if the attribute is not populated.
  See Also:
    `QueryOperationalStatusMonitorValue.setGranularityPeriod(int)`

### getName

    public java.lang.String getName()
                             throws java.lang.IllegalStateException

  Description copied from interface: `QueryOperationalStatusMonitorValue`
  Returns the query value of the measurement job name.

  Specified by:
    `getName` in interface `QueryOperationalStatusMonitorValue`
  Returns:
    String The query value of the measurement job name.
  Throws:
    `java.lang.IllegalStateException` - Is raised if the attribute is not populated.
  See Also:
    `QueryOperationalStatusMonitorValue.setName(java.lang.String)`

### getValueType

    public java.lang.String getValueType()
                                  throws java.lang.IllegalStateException

  Description copied from interface: `QueryOperationalStatusMonitorValue`
  Gets the query value of the measurement job value type.

  Specified by:
    `getValueType` in interface `QueryOperationalStatusMonitorValue`
  Returns:
    String The query value of the measurement job value type.
  Throws:
    `java.lang.IllegalStateException` - Is raised if the attribute is not populated.
  See Also:
    `QueryOperationalStatusMonitorValue.setValueType(java.lang.String)`

### getState

    public int getState()
                 throws java.lang.IllegalStateException

  Description copied from interface: `QueryOperationalStatusMonitorValue`
  Gets the query value of the measurement job state.

  Specified by:
    `getState` in interface `QueryOperationalStatusMonitorValue`
  Returns:
    int The query value of the measurement job state.
  Throws:
    `java.lang.IllegalStateException` - Is raised if the attribute is not populated.
  See Also:
    `OperationalStatusMonitorState`, `QueryOperationalStatusMonitorValue.setState(int)`

### setGranularityPeriod

    public void setGranularityPeriod(int granularityPeriod)
                              throws java.lang.IllegalArgumentException

  Description copied from interface: `QueryOperationalStatusMonitorValue`
  Sets the query value of the measurement job granularity period.

  The granularity period is specified in seconds.

  Specified by:
    `setGranularityPeriod` in interface `QueryOperationalStatusMonitorValue`
  Parameters:
    `granularityPeriod` - The query value of the measurement job granularity period.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameters are not valid.
  See Also:
    `QueryOperationalStatusMonitorValue.getGranularityPeriod()`

### setName

    public void setName(java.lang.String measurementName)
                 throws java.lang.IllegalArgumentException

  Description copied from interface: `QueryOperationalStatusMonitorValue`
  Sets the query value of the measurement job name.

  The measurement job name can include a wild card ("*") in the end of the name.

  Specified by:
    `setName` in interface `QueryOperationalStatusMonitorValue`
  Parameters:
    `measurementName` - The query value of the measurement job name.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameters are not valid.
  See Also:
    `QueryOperationalStatusMonitorValue.getName()`

### setValueType

    public void setValueType(java.lang.String performanceMonitorValueType)
                      throws java.lang.IllegalArgumentException

  Description copied from interface: `QueryOperationalStatusMonitorValue`
  Sets the query value of the measurement job value type.

  The measurement job value type can be a base type of the requested measurement jobs.

  Specified by:
    `setValueType` in interface `QueryOperationalStatusMonitorValue`
  Parameters:
    `performanceMonitorValueType` - The query value of the measurement job value type.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameters are not valid.
  See Also:
    `QueryOperationalStatusMonitorValue.getValueType()`

### setState

    public void setState(int state)
                  throws java.lang.IllegalArgumentException

  Description copied from interface: `QueryOperationalStatusMonitorValue`
  Sets the query value of the measurement job state.

  Specified by:
    `setState` in interface `QueryOperationalStatusMonitorValue`
  Parameters:
    `state` - The query value of the measurement job state.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameters are not valid.
  See Also:
    `OperationalStatusMonitorState`, `QueryOperationalStatusMonitorValue.getState()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD